<?php

// extended parameters for 
// ZenGallery module

/*
cacheRadius 	Radius of gallery cache
imageScaleMode 	Type of image scaling to the size of the visible area. Possible values: Crop, Fit. Default: Crop.
dropShadow 	Show/hide gallery shadow
frameSize: Number 	Frame thickness
frameColor: Number 	Frame color. Format: 0xRRGGBB
cornerRadius: Number 	Corner radius for gallery background and gallery frame
backgroundColor: Number 	Background color inner frame for the first time downloading images. Default: 0xAAC5D8
initialState:String 	Initial state of the gallery. Possible values: Load Image, Start Slideshow, Show Albums, Show Thumbnails. Default: Start Slideshow.
showCaption:String 	Defines when to show an image caption. Possible values: Always, Never, onMouseOver.
captionBackgroundAlpha: Number 	Caption background transparency. Default: 41. Possible values: 0-100.
captionBackgroundCornerRadius: Number 	Corner radius of caption background. Default: 4
buttonsBackgroundAlpha: Number 	Buttons background transparency. Default: 41. Possible values: 0-100.
buttonsBackgroundCornerRadius: Number 	Corner radius of buttons Background. Default: 4
showButtons: String 	Defines when to show the buttons. Possible values: Always, Never, onMouseOver. Default: Always
showAlbumsButton: Boolean 	Show/hide albums button. Default: true
showThumbnailsButton: Boolean 	Show/hide thumbnails button. Default: true
showSlideshowButton: Boolean 	Show/hide "play / pause" buttons. Default: true
showNavigationButton 
slideshowDelay: Number 	Image display duration in Slideshow mode (in seconds). Default: 4
rotationDirection: String 	Rotation direction. Possible values: Vertical CW,Vertical CCW, Horizontal CW, Horizontal CCW. Default: Vertical CW.
rotationDuration: Number 	Duration of rotation (in milliseconds). Default: 700.
panelBackgroundAlpha: Number 	Transparency of panel icons and albums. Default: 43. Possible values: 0-100.
iconWidth: Number 	Icons width. Default: 90.
iconHeight: Number 	Icon height. Default: 55.
iconPadding: Number 	Distance between icons in the list. Default:10.
useEmbeddedFont
Use embedded font. Default: true.
fontName Name of the font used for captions (works for useEmbeddedFont set to false only)
fontSize Size of the font used for captions (works for useEmbeddedFont set to false only)*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$imageScaleMode = array( l10n('ZG_Crop'), l10n('ZG_Fit'));
$initialState = array (  l10n('ZG_LoadImage'),  l10n('ZG_StartSlideshow'),  l10n('ZG_ShowAlbums'),  l10n('ZG_ShowThumbnails'));
$showCaption = array (l10n('ZG_Always'), l10n('ZG_Never'), l10n('ZG_onMouseOver'));
$showButtons = array (l10n('ZG_Always'), l10n('ZG_Never'), l10n('ZG_onMouseOver'));
$rotationDirection = array(l10n('ZG_VerticalCW'), l10n('ZG_VerticalCCW'), l10n('ZG_HorizontalCW'), l10n('ZG_HorizontalCCW'));

// default values
if (!isset($ext_datas)) $ext_datas = array(
	'cacheRadius'			=> "4", 	
	'imageScaleMode'		=> 1, // "Crop"
	'dropShadow'			=> true,
	'frameSize'				=> "5",
	'frameColor'			=> "#000000",
	'cornerRadius'			=> "4",
	'backgroundColor'		=> "#AAC5D8",
	'initialState'			=> 2, 
	'showCaption'			=> 2,
	'captionBackgroundAlpha'	=> "41",
	'captionBackgroundCornerRadius'	=> "4",
	'buttonsBackgroundAlpha'	=> "41",
	'buttonsBackgroundCornerRadius'	=> "4",
	'showButtons'	=> 1,
	'showAlbumsButton'		=> true,
	'showThumbnailsButton'	=> true,
	'showSlideshowButton'	=> true,
	'showNavigationButton'	=> true,
	'slideshowDelay'		=> "4",
	'rotationDirection'		=> 1,
	'rotationDuration'		=> "700",
	'panelBackgroundAlpha'	=> "43",
	'iconWidth'				=> "90",
	'iconHeight'			=> "55",
	'iconPadding'			=> "10",
	'useEmbeddedFont'		=> true,
	'fontName'				=> "Arial",
	'fontSize'				=> "9"
);

// Enregistrement de la configuration
if (isset($_POST['submit']) and !is_adviser())
{

	foreach ($ext_datas as $key =>$value)
	{
	
		if ($key == "dropShadow" or $key == "showAlbumsButton" or $key == "showThumbnailsButton" or $key == "showSlideshowButton"
			or $key == "showNavigationButton" or $key == "useEmbeddedFont")
			$ext_datas[$key] = isset($_POST['ZG_'.$key]);
		else
			$ext_datas[$key] = $_POST['ZG_'.$key];
	}
}

foreach ($ext_datas as $key => $value)
{

	if ($key == "dropShadow" or $key == "showAlbumsButton" or $key == "showThumbnailsButton" or $key == "showSlideshowButton"
		or $key == "showNavigationButton" or $key == "useEmbeddedFont")
		$template->assign(array( 'ZG_'.$key => (($ext_datas[$key]) ? 'checked="checked"': '')));
		
	elseif ($key == "imageScaleMode")
	{
		$i=1;
		foreach ( $imageScaleMode as $order ) //on parcours le tableau 
		{
			$template->append('ZG_imageScaleMode',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['imageScaleMode'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "initialState")
	{
		$i=1;
		foreach ( $initialState as $order ) //on parcours le tableau 
		{
			$template->append('ZG_initialState',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['initialState'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "showCaption")
	{
		$i=1;
		foreach ( $showCaption as $order ) //on parcours le tableau 
		{
			$template->append('ZG_showCaption',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['showCaption'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "showButtons")
	{
		$i=1;
		foreach ( $showButtons as $order ) //on parcours le tableau 
		{
			$template->append('ZG_showButtons',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['showButtons'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "rotationDirection")
	{
		$i=1;
		foreach ( $rotationDirection as $order ) //on parcours le tableau 
		{
			$template->append('ZG_rotationDirection',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['rotationDirection'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	else
		$template->assign(array( 'ZG_'.$key => $ext_datas[$key]));

}

$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.FLASHGAL_PATH.'farbtastic/farbtastic.js"></script>
			<link href="'.FLASHGAL_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));



$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>